=== auxiliary/CMakeLists.txt ===
cliprogram(combi-test combi-test.c)
cliprogram(divvy-test divvy-test.c)
cliprogram(hatgen hatgen.c COMPILE_DEFINITIONS TEST_HAT)
cliprogram(hat-test hat-test.c)
cliprogram(latin-test latin-test.c)
cliprogram(matching matching.c)
cliprogram(obfusc obfusc.c)
cliprogram(penrose-test penrose-test.c)
cliprogram(sort-test sort-test.c)
cliprogram(tree234-test tree234-test.c)
