=== debian/changelog ===
sgt-puzzles (20230410.71cf891-2) unstable; urgency=medium

  * d/rules: Add update-po target to update PO files in patches
  * d/patches: Update PO files
  * Update German translation, thanks to Helge Kreutzmann (Closes: #1034517)

 -- Ben Hutchings <benh@debian.org>  Sat, 03 Jun 2023 23:25:49 +0200

sgt-puzzles (20230410.71cf891-1) experimental; urgency=medium

  * New upstream version:
    - Note in the documentation that Pattern clues are in order
      (Closes: #642207)
    - Solo: cope with pencil marks when tilesize == 1 (Closes: #905852)
    - Multiple fixes for security issues in game loading (Closes: #1034190)
  * d/rules: Fix various bugs in update-upstream rule

 -- Ben Hutchings <benh@debian.org>  Tue, 11 Apr 2023 01:30:57 +0200
