## sgt-puzzles 20250730.a7c7826

=== debian/changelog ===
sgt-puzzles (20250730.a7c7826-1) unstable; urgency=medium

  * New upstream version:
    - Universal preference option for one-key shortcuts. (Closes: #363441)
    - Mosaic: Fix buffer overflow in game_text_format() (Closes: #1079717)
    - Loopy / grid.c: support the new Spectre monotiling. (Closes: #1116973)
  * d/patches: Update for new upstream version
    - Update "Apply version string substitutions from the tarball"
    - Refresh "Add HTML-based online help"
    - Drop "Install both 48x48 and 96x96 icons", redundant with upstream
      change to install all icon sizes
  * Update German translation, thanks to Helge Kreutzmann
  * slant: Shade empty rather than filled squares, and make this optional
    (Closes: #550311)

 -- Ben Hutchings <benh@debian.org>  Tue, 03 Mar 2026 16:19:06 +0100
